Create destination
curl --request POST \
--url https://app.outlit.ai/api/destinations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "SLACK_CHANNEL",
"channelId": "C0123456789",
"label": "#customer-ops",
"enabled": true,
"isDefault": true
}
'import requests
url = "https://app.outlit.ai/api/destinations"
payload = {
"type": "SLACK_CHANNEL",
"channelId": "C0123456789",
"label": "#customer-ops",
"enabled": True,
"isDefault": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'SLACK_CHANNEL',
channelId: 'C0123456789',
label: '#customer-ops',
enabled: true,
isDefault: true
})
};
fetch('https://app.outlit.ai/api/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"commandId": "<string>",
"commandVersion": 123,
"correlationId": "<string>",
"result": {
"operationId": "<string>",
"status": "<string>",
"resources": [
{
"type": "<string>",
"id": "<string>"
}
],
"data": {
"destination": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"maskedConfig": {},
"lastSyncedAt": "2023-11-07T05:31:56Z",
"providerErrorCode": "<string>",
"providerErrorMessage": "<string>",
"isDefault": true,
"schemaVersion": "<string>",
"configHash": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"warnings": [
"<string>"
],
"auditId": "<string>"
}
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"error": "Invalid credentials"
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"error": "Internal server error"
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}Platform API
Create destination
Create one Slack channel automation destination. Responses include masked configuration only. Passing isDefault true makes it the default fallback destination.
POST
/
api
/
destinations
Create destination
Authorizations
Outlit API key using the Bearer ok_... format.
Body
application/json
Was this page helpful?
⌘I